Send an SMS to the constituent associated with the need
POST
/api/needs/{id}/sms
const url = 'https://example.com/api/needs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sms';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"body":"This is a test notification confirming email integration settings."}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/needs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sms \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "body": "This is a test notification confirming email integration settings." }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
body
required
Email body text or HTML payload.
string
Example
This is a test notification confirming email integration settings.Responses
Section titled “Responses”SMS queued successfully
Media typeapplication/json
object
interactionId
Unique identifier (UUID v4) of the recorded interaction note or message.
string format: uuid
Example
{ "interactionId": "70000000-0000-0000-0000-000000000007"}Bad request (e.g. need has no constituent, constituent has no phone number, etc.)
Unauthorized
Forbidden
Need not found
Recipient has opted out of receiving SMS messages
Media typeapplication/json
RFC 7807 Problem Details for HTTP APIs
object
type
required
string
title
required
string
status
required
Current status of the record or process.
integer
detail
required
string
instance
string
retry_after
integer
Example
{ "status": "IN_PROGRESS", "retry_after": 60}